package vip.xiaonuo.biz.modular.rechargerecord.param;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class BizRechargePay {

    /** 充值金额 */
    @Schema(description = "充值金额")
    @NotNull(message = "充值金额不能为空")
    private BigDecimal rechargeAmount;

    /** 充值记录id */
    @Schema(description = "充值记录id")
    @NotNull(message = "充值记录id不能为空")
    private String rechargeId;
}
